Get author(s) by network handle and instance

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Returns one or more authors by the networkhandle passed in for the specified instance of a network.

Because handles are not globally unique across a source network, this call can return more than one author who is not related.

If more than one author is returned they will be contained in a personList, each with a unique top-level ID and handles array.

Use this call when the networktype is "lithium" or "crm" and there might be more than one instance of the network, such as sfdc_1 andsfdc_2. If the network has only a single, default instance such as Facebook or Instagram use: /api/v2/authors/networks/networktype/handles/networkhandle

Related endpoints

ActionEndpoint
GET/authors/networks/{networktype}/ids/{networkid}
Get a single author by source network ID where the source network has only a single, default instance, such as Facebook or Instagram
PUT/authors/networks/{networktype}/ids/{networkid}
Update a single author by source network ID on the default instance of the source network
GET/authors/networks/{networktype}/instances/{networkinstance}/ids/{networkid}
Return one or more authors by the networkhandle passed in for the specified instance of a network.
PUT/authors/networks/{networktype}/instances/{networkinstance}/ids/{networkid}
Update a single author by network ID on a specific instance of that network
GET/authors/networks/{networktype}/handles/{networkhandle}
Get one or more authors by the networkhandle passed in for the specified source network
Path Params
string
required

The type of network that manages content created by or about an author. Supported values are: "instagram", "facebook", "googleplus", "lithium", "crm"

For a networktype of value "lithium" or "crm" you must also pass the networkinstance, because these types of networks can have multiple instances as opposed to Facebook, or Google+ that have only a single, default network.

The Author API supports "instagram", "facebook", "googleplus", "lithium", and "crm" only as values for networktype.

string
required

The specific, uniquely-identifiable instance of a networktype. Use this argument with a networktype of "lithium" or "crm" only because other network types such as Facebook, Instagram, and Google+ have only a single, default instance.

If you wanted to PUT or GET author data by passing in a CRM author ID, for example, you would need to specify which CRM instance the CRM author ID is associated with.

Example: "sfdc_1"

The value to pass for networkinstance is either the instance of your Lithium community (example: https://my_community_instance.com) or the key you defined for the CRM author integration for this CRM (example: "sfdc_1").

string
required

The external identification for the author, such as a Community or an Instagram handle. This is different than the networkid generated by a network for internal use.

Query Params
boolean
Defaults to false

When true, the response includes authors whose CRM entry has been deleted. Otherwise, the response will not include authors whose CRM entry has been deleted.

Responses

Language
URL
LoadingLoading…
Response
Choose an example:
application/json